Subject: bug#22119: emacs-25; No rule to make target 'test/Makefile.in', needed by 'Makefile'.

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Dec 2015 21:07:08 +0200

> From: Seweryn Kokot <[email-masked]>
> Date: Tue, 8 Dec 2015 18:55:53 +0000 (UTC)
> 
> While 'master' branch builds on debian unstable, I get the following error
> while building 'emacs-25' branch. I did 'git checkout emacs-25' then 'make':
> 
> ...
> checking that generated files are newer than configure... done
> configure: creating ./config.status
> cd . && /bin/bash /home/sewi/sources/emacs/build-aux/missing autoheader
> rm -f src/stamp-h.in
> echo timestamp > src/stamp-h.in
> cd . && /bin/bash /home/sewi/sources/emacs/build-aux/missing automake-1.15
> --gnu -a -c lib/Makefile
> make: *** No rule to make target 'test/Makefile.in', needed by 'Makefile'. 
> Stop.

You need to run autogen.sh and then re-run configure, I think.  The
directory structure has changed on master.